@import "variables.css";
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
html,
body {
    margin: 0;
    font-family: 'Roboto', sans-serif!important;
    font-size: 16px;
    color: var(--clr-secondary);
    font-weight: 400;
    height: 100%;
    background: var(--clr-light);
}

::-moz-selection {
    /* Code for Firefox */
    color: var(--clr-light);
    background: var(--clr-primary);
}

::selection {
    color: var(--clr-light);
    background: var(--clr-primary);
}

button:hover {
    transition: color 0.2s ease, background-color 0.2s ease;
}

.btn {
    box-shadow: none !important;
}

* {
    outline: none;
}

.page-content {
    flex: 1 1 auto;
    overflow-y: auto;
    position: relative;
}

.page {
    display: flex;
    flex-direction: column;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-15 {
    font-size: 15px;
}

.font-weight-100 {
    font-weight: 100;
}

.font-weight-200 {
    font-weight: 200;
}

.font-weight-300 {
    font-weight: 300;
}

.font-weight-400 {
    font-weight: 400;
}

.font-weight-500 {
    font-weight: 500;
}

.font-weight-600 {
    font-weight: 600;
}

.font-weight-700 {
    font-weight: 700;
}

.font-weight-800 {
    font-weight: 800;
}


/* 




.font-size-11 {
  font-size: 11px;
}
.font-size-12 {
  font-size: 12px;
}
.font-size-13 {
  font-size: 13px;
}

.font-size-14 {
  font-size: 14px;
}


.font-size-17 {
  font-size: 17px;
}
.font-size-18 {
  font-size: 18px;
}
.font-size-19 {
  font-size: 19px;
}
.font-size-20 {
  font-size: 20px;
}
.font-size-22 {
  font-size: 22px;
}
.font-size-24 {
  font-size: 24px;
}
.font-size-30
{
  font-size: 30px;
}
.font-bold {
  font-weight: bold;
}




/* background */

.font-size-11 {
    font-size: 11px;
}

.font-size-12 {
    font-size: 12px;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-16 {
    font-size: 16px;
}

.font-size-18 {
    font-size: 18px;
}

.font-size-20 {
    font-size: 20px;
}

.font-size-24 {
    font-size: 24px;
}

.font-size-30 {
    font-size: 30px;
}

.background-light {
    background-color: var(--clr-light);
}

.backgrund-primary {
    background-color: var(--clr-primary);
}


/* background end */


/* Text color */

.color-primary {
    color: var(--clr-primary)
}

.color-gray {
    color: var(--clr-gray)
}

.color-red {
    color: var(--clr-danger)
}


/* Text color end */

.icon-16 {
    max-width: 16px;
    max-height: 16px;
}

.icon-18 {
    max-width: 18px;
    max-height: 18px;
}

.common-btn {
    background-color: var(--clr-primary);
    padding-left: 15px;
    padding-right: 15px;
    border: 1px solid var(--clr-primary);
    height: 44px;
    border-radius: 26px;
    font-size: 16px;
    font-weight: 400;
}

.common-btn:hover {
    background-color: var(--clr-darkest-blue-hover)!important;
    color: white
}

.btn-common-outline {
    background-color: transparent;
    padding-left: 15px;
    padding-right: 15px;
    border: 2px solid var(--clr-primary);
    height: 48px;
    border-radius: 6px;
    font-size: 18px;
    font-weight: 400;
    color: var(--clr-secondary);
}

.btn-footer-action {
    border-radius: 30px;
    padding: 10px 6px;
    background: var(--clr-sky-blue);
    border: 1px solid var(--clr-sky-blue);
    max-width: 350px;
    font-size: 16px;
    font-weight: 600;
    color: var(--clr-secondary)
}

.btn-footer-action:hover {
    background: var(--clr-darkest-blue-hover);
}

.btn-footer-action:disabled {
    background: #D1E3FC;
    border-color: #D1E3FC;
    color: var(--clr-primary)!important
}

.common-btn:disabled {
    background: #D1E3FC;
    border-color: #D1E3FC;
    color: var(--clr-primary)
}

.reset-password {
    color: var(--clr-light)
}

.main-container {
    max-width: 1100px;
    margin: auto;
}

.input-title {
    font-size: 18px;
    font-weight: 500;
}

.icon-primary svg {
    fill: var(--clr-secondary)
}

.icon-gray svg {
    fill: var(--clr-gray)
}

.color-secondary {
    color: var(--clr-secondary)
}

.btn-radius {
    border-radius: 40px;
}

.action-footer-btn {
    max-width: 350px;
}

.common-modal .modal-content {
    border-radius: 14px;
}

.card {
    border-radius: 8px;
    box-shadow: 1px 2px 10px #d0d0d066;
}

.clinical-btn {
    background: #E6F6FB;
}

.clinical-btn.active,
.clinical-btn:hover,
.clinical-btn.focus {
    background-color: var(--clr-primary) !important;
    color: var(--clr-secondary) !important;
}

.content-card-block {
    background: var(--clr-light);
    border-radius: 8px;
    box-shadow: 1px 2px 10px #d0d0d066;
    padding: 20px;
}

.left-wizard-block {}

.table td {
    border-bottom: 0px!important;
}

.flex-shrink-0 {
    flex-shrink: 0!important;
}

.c-checkbox input[type="checkbox"]:checked+span {
    background-image: url("/images/check.svg");
    background-size: 12px 12px;
    background-repeat: no-repeat;
    background-position: center center;
}

.main-content-block {
    padding-top: 150px;
}

.common-btn.backgrund-primary:disabled {
    background-color: #D1E3FC;
    border-color: #D1E3FC;
    color: var(--clr-primary)
}

.alert-block {
    background-color: var(--clr-primary);
    color: var(--clr-light);
    border-radius: 6px;
    padding: 13px 12px;
    font-size: 14px;
}

.form-control::placeholder {}

.required .form-control::placeholder {
    color: var(--clr-red);
}

.common-btn.backgrund-primary:hover {
    background-color: var(--clr-primary-dark);
}

.title-upcoming {
    font-weight: 400;
}

.booking-slot-main {
    border-radius: 8px;
    box-shadow: 1px 2px 10px #d0d0d066;
}

.slot-booking {}

.font-size-16 {
    font-size: 16px;
}

.table-appointment table {
    text-align: left;
    position: relative;
    border-collapse: collapse;
}

.table-appointment thead {
    background: white!important;
    position: sticky;
    top: 0;
    /* Don't forget this, required for the stickiness */
    box-shadow: 0 1px 1px 1px #ccc;
    padding-top: 14px;
}

.c-checkbox input[type="checkbox"]:checked+span+strong {
    color: var(--clr-secondary);
}

.c-checkbox input[type="checkbox"]+span+strong {
    font-weight: 400;
}

.danger-alert-block {
    background-color: var(--clr-danger);
    color: var(--clr-light);
    position: absolute;
    top: 10px;
    font-size: 14px;
    line-height: 15px;
    z-index: 100;
}

.header-sticky {
    position: fixed;
    width: 585px;
    top: 120px;
    background: white;
}

.slot-btn-sticky {
    position: fixed;
    bottom: 268px;
    width: 614px;
    bottom: 0;
}

.clinic-footer-btn .continue-book-slot {
    padding-top: 15px;
    padding-bottom: 15px;
}

.header-mobile {
    margin-top: 15px!important
}

.content-area-title {
    margin-top: 36px;
}

.data-grid-td {
    flex: 1;
    padding: 4px;
}

.booking-slot-main {
    padding: 15px 15px 0 15px;
}

.data-grid-table .data-grid-td:nth-child(2n) {
    background: var(--clr-lightest-blue);
}

.slot-booking-time {
    margin-bottom: 8px;
}

.slot-booking-time.active {
    background-color: var(--clr-primary) !important;
    color: var(--clr-secondary) !important;
}

.table-appointment td button,
.table-slot-list button {
    background: var(--clr-lightest-blue);
    border: 2px solid var(--clr-primary);
    color: var(--clr-secondary);
    font-size: 16px;
    font-weight: 400;
    padding: 12px 12px;
}

.table-slot-list button:hover {
    color: var(--clr-secondary);
}

.table-header-block .data-grid-td {
    padding: 18px 4px 2px 4px;
}

.light-blue {
    color: var(--clr-light-blue)
}

.forgot-password-link:hover {
    color: var(--clr-darkest-blue-hover)
}

.card-style {
    border: 1px solid #dedede!important;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.10)!important;
}

.card-block-hover:hover {
    border: 1px solid var(--clr-primary)!important;
    position: relative;
}

.wizard.selected .bullet:before {
    content: " ";
    position: absolute;
    background: var(--clr-darkest-blue-hover);
    width: 12px;
    left: 1px;
    height: 12px;
    border-radius: 15px;
    top: 1px;
    border: 2px solid #fff;
}

.color-primary-gray {
    color: var(--clr-primary-gray)
}

.register-main {
    max-width: 400px;
}

.register-main .c-checkbox span {
    top: -2px;
}

.form-check-list a:hover {
    color: var(--clr-darkest-blue-hover)!important;
}

.terms-content a:hover {
    color: var(--clr-darkest-blue-hover)!important;
}

.icon-center-modal {
    width: 70px;
    height: 70px;
    background-color: var(--clr-lightest-blue);
    border-radius: 70px;
}

.button-disabled {
    background-color: var(--clr-lightest-blue)!important;
    border-color: var(--clr-lightest-blue)!important;
}

input[type=number] {
    -moz-appearance: textfield;
}

.date-birth-inputinput::-webkit-outer-spin-button,
.date-birth-input input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.gender-block {}

.c-radio input[type="radio"]:checked+span:after {
    width: 14px!important;
    height: 14px!important;
}

.date-birth-input .error-msg {
    display: none
}

.notes-content a {
    color: var(--clr-sky-blue)
}